Description

The current behaviour of map units choiche (always degrees) is rather annoying for the (many, I suppose) users that work in metric

coordinates.

Two possibilities to correct this:

1. let qgis remember the last choice of the user (preferable)

2. keep meters as default

History

#1 - 2009-07-11 04:33 AM - Giovanni Manghi

+1

#2 - 2009-07-11 04:54 AM - Borys Jurgiel

-1 ! As long the default project CRS is WGS84, it would be very confusing. My proposition is to get rid of the unit selector and automatically keep units

appropriate to the project CRS (if only we can determine feet systems from epsg db, can we?). Note that it's implemented to a certain degree - if you

change the project CRS when the OTFR is enabled, the units selector switches automagically. But if OTFR is disabled, it doesn't.

Then the project CRS, not just the unit, should be more flexible (configureable by user and/or set by the first layer added to a empty project etc.)

#3 - 2009-07-11 05:01 AM - Giovanni Manghi

Replying to [comment:2 borysiasty]:

seems reasonable to me

Then the project CRS, not just the unit, should be more flexible (configureable by user and/or set by the first layer added to a empty project etc.)

as asked also in #1688

#4 - 2009-08-07 02:57 PM - Magnus Homann

The unit selector is needed for those who run with OTF projection off.

Remembering last choice seems to be the best bet. I change this to an enhancement.
#5 - 2011-03-06 12:47 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed

Now it's possible to set default CRS for new projects to a projected one (commit:7de1303c (SVN r15375)).
